/*
  XVarStar, GCVS catalogue explorer
  Copyright (C) 2001-2008 Ivan Vitjuk 

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "variable.h"

int var_ra_set(int h, int m, float s, Ra_t *ra)
{
        if(h < 0 || h > 23 || 
           m < 0 || m > 59 ||
           s < 0.0 || s >= 60.0){
                var_set_error(3);
                var_error_reason("Ra: %d:%d:%d", h, m, s);
                return 0;
        }

        ra->h = h;
        ra->m = m;
        ra->s = s;
        return 1;
}

int var_dec_set(int d, int m, int s, Dec_t *dec)
{
        if(d < 0 || d > 59 || 
           m < 0 || m > 59 ||
           s < 0 || s > 59){
                var_set_error(4);
                var_error_reason("Dec: %d:%d:%d", d, m, s);
                return 0;
        }
        
        dec->d = d;
        dec->m = m;
        dec->s = s;
        return 1;
}
